"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkDetectors = checkDetectors;
const scriptInjectionDetector_1 = require("../detectors/scriptInjectionDetector");
const sqlInjectionDetector_1 = require("../detectors/sqlInjectionDetector");
const xssDetector_1 = require("../detectors/xssDetector");
function checkDetectors(value, key, issues, options, isKey = false) {
    const { detectSentences, detectReservedWords } = options;
    if (detectSentences && (0, sqlInjectionDetector_1.isSQLSentence)(value)) {
        issues.push(`SQL Sentence detected in ${isKey ? 'key' : key} "${key}": "${value}".`);
    }
    if (detectReservedWords && (0, sqlInjectionDetector_1.detectSQLInjection)(value)) {
        issues.push(`SQL Injection detected in ${isKey ? 'key' : key} "${key}": "${value}".`);
    }
    if ((0, xssDetector_1.detectXSS)(value)) {
        issues.push(`XSS detected in ${isKey ? 'key' : key} "${key}": "${value}".`);
    }
    if ((0, scriptInjectionDetector_1.detectScriptInjection)(value)) {
        issues.push(`Script Injection detected in ${isKey ? 'key' : key} "${key}": "${value}".`);
    }
}
//# sourceMappingURL=detectorUtils.js.map