// scanBody.ts

import { checkDetectors } from '../utils/detectorUtils';
import { ScanOptions } from './interfaces/ITScanOptions';

export function scanBody(
  body: Record<string, any>,
  options: ScanOptions,
): string[] {
  const issues: string[] = [];
  const { keys, values } = options;

  if (keys) {
    Object.keys(body).forEach((key) => {
      checkDetectors(key, key, issues, options, true); // Scan body keys
    });
  }

  if (values) {
    Object.entries(body).forEach(([key, value]) => {
      checkDetectors(String(value), key, issues, options); // Scan body values
    });
  }

  return issues;
}
