import { checkDetectors } from '../utils/detectorUtils';
import { ScanOptions } from './interfaces/ITScanOptions';

export function scanCookies(
  cookies: Record<string, string>,
  options: ScanOptions,
): string[] {
  const issues: string[] = [];

  Object.entries(cookies).forEach(([key, value]) => {
    checkDetectors(key, key, issues, options, true); // Scan cookie keys
    checkDetectors(value, key, issues, options); // Scan cookie values
  });

  return issues;
}
