// scanHeaders.ts

import { checkDetectors } from '../utils/detectorUtils';
import { ScanOptions } from './interfaces/ITScanOptions';

export function scanHeaders(
  headers: Record<string, string>,
  options: ScanOptions,
): string[] {
  const issues: string[] = [];
  const { keys, values } = options;

  Object.entries(headers).forEach(([key, value]) => {
    if (keys) {
      checkDetectors(key, key, issues, options, true); // Scan header keys
    }

    if (values) {
      checkDetectors(value, key, issues, options); // Scan header values
    }
  });

  return issues;
}
